Page MenuHomePhabricator

[AMDGPU] support image load/store a16
ClosedPublic

Authored by sheredom on Oct 26 2018, 2:24 AM.

Details

Summary

Our a16 support was only enabled for sample/gather and buffer load/store, but not for image load/store operations (which take an i16 as the pixel index rather than a half).

Fix our isel lowering and add test cases to prove it out.

Diff Detail

Repository
rL LLVM

Event Timeline

sheredom created this revision.Oct 26 2018, 2:24 AM
nhaehnle accepted this revision.Oct 27 2018, 8:30 AM

The function names of the a16.d16 tests should probably use vNf16 instead of vNf32. Please change that before committing, and please add a test for 2darraymsaa, to cover the v4i16 case of coordinates.

Apart from that LGTM.

This revision is now accepted and ready to land.Oct 27 2018, 8:30 AM
sheredom updated this revision to Diff 171465.Oct 29 2018, 2:42 AM

Added an additional lit test for the dim variants (including the 2darraymsaa requested by @nhaehnle), and change the naming of the a16.d16 tests to vNf16.

nhaehnle accepted this revision.Oct 29 2018, 5:08 AM

Thanks, LGTM

This revision was automatically updated to reflect the committed changes.